Update Data Orchestration Master Status
curl --request PUT \
--url https://api.lendflow.com/api/applications/{application_id}/data_orchestration/{log_id}/master_status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"master_status": 16,
"comment": "architecto"
}
'import requests
url = "https://api.lendflow.com/api/applications/{application_id}/data_orchestration/{log_id}/master_status"
payload = {
"master_status": 16,
"comment": "architecto"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({master_status: 16, comment: 'architecto'})
};
fetch('https://api.lendflow.com/api/applications/{application_id}/data_orchestration/{log_id}/master_status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": null,
"outcome": null,
"internal_error": null,
"status": 1,
"created_at": null,
"started_at": null,
"finished_at": null,
"master_status": null,
"stage_id": null
}
}Data Orchestration
Update Data Orchestration Master Status
Sets the master status of a data orchestration run, optionally recording a comment in its history. Returns the updated log.
PUT
/
api
/
applications
/
{application_id}
/
data_orchestration
/
{log_id}
/
master_status
Update Data Orchestration Master Status
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Path Parameters
The ID of the application.
The ID of the log.
Body
application/json
Response
200 - application/json
Show child attributes
Show child attributes
Was this page helpful?